/**
 * 
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zk.ui.event.EventListener;
import org.zkoss.zul.Button;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.FormaPago;

/**
 * @author Wallace
 *
 */
public class RenderHistoricoFormaPago implements ListitemRenderer {
	
	private EventListener listenerGenerico;

	public RenderHistoricoFormaPago(EventListener listenerGenerico) {
		super();
		this.listenerGenerico = listenerGenerico;
	}

	
	public void render(Listitem lstm, Object o) throws Exception {
		
	
		FormaPago formaPago = (FormaPago) o;

        Listcell lc = new Listcell(formaPago.getFormapagoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(formaPago.getDescpago());
        lc.setParent(lstm);
        lc = new Listcell();
    	Button btnRemoverPermissao = new Button();
		btnRemoverPermissao.setAttribute("data", o);
		btnRemoverPermissao.addEventListener("onClick",listenerGenerico);
		btnRemoverPermissao.setImage("/gui/img/remove.png");
		lc.appendChild(btnRemoverPermissao);
		
		lc.setParent(lstm);

		lstm.setAttribute("data", formaPago);
	}
}
